Bug 961907 - Review Request: rubygem-moped - A MongoDB driver for Ruby
Review Request: rubygem-moped - A MongoDB driver for Ruby
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 13:26 EDT by Troy Dawson
Modified: 2016-01-04 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-moped-1.5.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 00:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-05-10 13:26:40 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-moped.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-moped-1.4.5-1.fc20.src.rpm
Description: A MongoDB driver for Ruby.
Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-05-10 13:27:15 EDT
RPMLINT Output:
$ rpmlint rubygem-moped.spec rubygem-moped-1.4.5-1.fc20.src.rpm rubygem-moped-1.4.5-1.fc20.noarch.rpm rubygem-moped-doc-1.4.5-1.fc20.noarch.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Josef Stribny 2013-05-27 08:14:43 EDT
I will take it for a review.
Comment 3 Josef Stribny 2013-05-27 09:45:26 EDT
* Use latest version when possible
  Last upstream version is 1.5.0

* Run specs in %check section
  Upstream provides specs [1], so please include them in the SRPM and run them.

* Check against Ruby 2.0
  Build seems to be failing on travis [2] for Ruby 2.0, please investigate and work with upstream on fixing this.

* Don't include files not necessary for runtime in the main package unless it's a licence
  CHANGELOG.md and README.md should go to %doc sub-package, LICENSE file should be kept in the main package.

* Avoid trailing whitespace in the spec file

* Make the description a bit more descriptive so it's more usuful
  There is no point of having the same Summary and Description sections.


[1] https://github.com/mongoid/moped/tree/master/spec
[2] https://travis-ci.org/mongoid/moped/jobs/7330302
Comment 4 Troy Dawson 2013-05-28 17:04:22 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-moped.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-moped-1.5.0-1.fc20.src.rpm

- latest version
-- updated to version 1.5.0

- %files section
-- I was being lazy.  I have fixed my lazyness.
-- LICENSE, in main package, marked at %doc
-- CHANGELOG and README.md, in doc subpackage, marked as %doc

- Description
-- I found a much more descriptive description.

- %check section
-- I downloaded, installed, and configured the check, but when I ran it I got the following.
---------------------------------------------------------------------
Moped runs specs for authentication and replica sets against MongoHQ.

If you want to run these specs and need the credentials, contact
durran at gmail dot com.
---------------------------------------------------------------------
and it then proceeded to fail the tests.
-- Although checks are very good, if they are not written for a rpm and koji
enviroment, they don't do us much good.  I'm pretty sure that durran does
not want the credentials public, which they would be if we included them
in the rpm.
-- Checks are strongly encouraged, but not required.  Since this check was 
not designed for an rpm enviroment, I removed it.

- Check against ruby 2.0
-- This is working fine in Fedora 19 and 20, both of which are using Ruby 2.0
http://koji.fedoraproject.org/koji/taskinfo?taskID=5435348
http://koji.fedoraproject.org/koji/taskinfo?taskID=5435353
-- We have also tested these rpm's with OpenShift Origin, running on Fedora 19 (running ruby 2.0) and it is working correctly.
Comment 5 Josef Stribny 2013-05-29 07:56:07 EDT
Hi,

thank you for looking into it. Running two koji builds without any tests or specs is a bit pointless in this case. It doesn't confirm if this is working or not and I had a valid concern since it fails on travis, where the specs are running.

I am including the failed spec here:
```
Failures:

1) Moped::Connection::Pool#checkout when connections exist in the pool when a connection exists for another thread id when the pool is saturated when reaping does not free any new connections raises an error

Failure/Error: expect {

expected Moped::Errors::ConnectionInUse but nothing was raised

# ./spec/moped/connection/pool_spec.rb:196:in `block (7 levels) in <top (required)>'

Finished in 16.59 seconds

513 examples, 1 failure, 4 pending

```
Note: it might not be an issue for 1.5.0.

This seems to be only a little issue though and I can't tell if it's lib or spec that needs to be patched. You could probably file it for upstream if it's not already and clarify that. But I agree that we don't need to ship the specs in this case.

The other fixes in the spec file are good, SRPM builds & installs, rpmlint doesn't complain --> APPROVED.
Comment 6 Troy Dawson 2013-05-29 09:48:12 EDT
New Package SCM Request
=======================
Package Name: rubygem-moped
Short Description: A MongoDB driver for Ruby
Owners: tdawson
Branches: f19 f18
InitialCC:
Comment 7 Gwyn Ciesla 2013-05-29 10:17:13 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-05-29 17:07:51 EDT
rubygem-moped-1.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-moped-1.5.0-1.fc19
Comment 9 Fedora Update System 2013-05-30 13:54:55 EDT
rubygem-moped-1.5.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-07 00:39:55 EDT
rubygem-moped-1.5.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.